import * as React from 'react';
import { Button, Table, Label, Segment, Header } from 'semantic-ui-react';
import { TargetTable } from './Targets';

export class ProbeDetails extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }

  componentWillMount() {

  }

  handleStartStop(event: any, data: any) {
    console.log(event);
  }
  handleDiscovery(event: any, data: any) {
    alert('Discovery');
  }

  handleBack(event: any, data: any) {
    console.log(data);
  }


  showStartStopBtn() {
    if (this.props.probe.metaProbeStatus.name === 'STARTED') {
      return <Button content='Stop' icon='stop' labelPosition='left' color={'blue'} floated={'right'} onClick={this.handleStartStop} />;
    } else {
      return <Button content='Start' icon='play' labelPosition='left' color={'blue'} floated={'right'} onClick={this.handleStartStop} />;
    }
  }

  render() {
    let elem: any;
    if (this.props.probe === null) {
      elem = <div></div>;
    } else {
      elem =
        <Segment.Group>
          <Segment inverted color='grey'>
          <h4>Probe Details</h4>
          </Segment>
          <Segment>
            <Table celled={false} basic='very'>
              <Table.Body>
                <Table.Row>
                  <Table.Cell>
                    <Header size='small'>Domain</Header>
                  </Table.Cell>
                  <Table.Cell>{this.props.probe.domain.name}</Table.Cell>
                </Table.Row>
                <Table.Row>
                  <Table.Cell>
                    <Header size='small'>Status</Header>
                  </Table.Cell>
                  <Table.Cell>{this.props.probe.metaProbeStatus.name}</Table.Cell>
                </Table.Row>
                <Table.Row>
                  <Table.Cell>
                    <Header size='small'>Host IP</Header>
                  </Table.Cell>
                  <Table.Cell>????</Table.Cell>
                </Table.Row>
                <Table.Row>
                  <Table.Cell>
                    <Header size='small'>Host Name</Header>
                  </Table.Cell>
                  <Table.Cell>????</Table.Cell>
                </Table.Row>
                <Table.Row>
                  <Table.Cell>
                    <Header size='small'>Authorized at</Header>
                  </Table.Cell>
                  <Table.Cell>{this.props.probe.createDate}</Table.Cell>
                </Table.Row>
                <Table.Row>
                  <Table.Cell>
                    <Header size='small'>Description</Header>
                  </Table.Cell>
                  <Table.Cell>{this.props.probe.description}</Table.Cell>
                </Table.Row>

                <Table.Row>
                  <Table.Cell colSpan='4'>
                    <Button content='Back' icon='left arrow' labelPosition='left' onClick={this.handleBack} />
                    <Button content='Discovery' icon='search' labelPosition='left' floated={'right'} positive onClick={this.handleDiscovery} />
                    {this.showStartStopBtn()}

                  </Table.Cell>
                </Table.Row>
              </Table.Body>
            </Table>
          </Segment>

          <Segment inverted color='grey'>
          <h4>Probe's Targets</h4>
          </Segment>
          <Segment>
            <TargetTable probe={this.props.probe}/>
          </Segment>
        </Segment.Group>;
    }
    return (
      <div>
        {elem}
      </div>
    );
  }
}



